ERR SSL VERSION OR CIPHER MISMATCH appears with Cloudflare, LetsEncrypt and Wordpress

dash-crypto
#1

Cloudflare + LetsEncrypt + Wordpress = ERR_SSL_VERSION_OR_CIPHER_MISMATCH

I’m unable to find the solution to my problem. Searched the whole community but couldn’t find the proper answer.

I setup cloudflare FREE for my website and kept the following settings:
Crypto

SSL: FULL

Always Use HTTPS: ON

HTTP Strict Transport Security (HSTS)

– Status: On

– Max-Age: 3 months

– Include subdomains: On

– Preload: On

Authenticated Origin Pulls: ON

Minimum TLS Version: TLS 1.0

Opportunistic Encryption: OFF

Onion Routing: ON

TLS 1.3: Enabled

Automatic HTTPS Rewrites: ON

Disable Universal SSL: Enable Universal SSL

// Yea I’m confused about this option ‘disable universal SSL’ and the button says ‘enable’. Its so confusing.


I saw a lot of posts in the community and youtube tutorials. Everyone shows that there’s a field saying “SSL Status” under the SSL box on the top (as in the screenshot above) but on my side, there’s nothing like that.

Ok on my wordpress side.
I installed wordpress using cPanel softaculous on http://www.
(before activating SSL in cloudflare)
After installing I logged into the wp-admin and installed Cloudflare plugin.
(now I activated SSL to FULL in cloudflare)

And Now i’m getting ERR_SSL_VERSION_OR_CIPHER_MISMATCH

What I need?
My wordpress install is on cPanel with LetsEncrypt. I want to enable cloudflare (free) now.

#2

Can you post a screenshot of this?

Sounds like you disabled Universal SSL and now you need to click that to re-enable it again …

#3

Hi @amionlyhers, this tip talks about that error you were seeing, Community Tip - Fixing ERR SSL VERSION OR CIPHER MISMATCH in Google Chrome. It looks like the issue is resolved. As background, if the universal ssl says disable universal, then universal ssl is enabled. If it reads enable universal ssl, then universal ssl is not yet enabled. In your case, it looks like universal ssl in now enabled and the site loads securely.

2 Likes